Subject: Event Sign-in List

From: Bronda Silva <[email-masked]>
Date: Sun, 20 Mar 2005 16:57:47 -0800 (PST)

My name is Bronda Silva and I help coordinate the Darwin Day event in Sacramento.  I seem to have deleted the e-mail but someone from your organization asked if we have a sign-up sheet at our event so that Darwinday.org could inform them of future events. A sign-up sheet was even provided.

I have that information and would like to get it to you but I need a fax number. Please let me know who and where to I can fax the sign-in sheets from our event.

Sincerely,

Bronda